#
# spec file for package perl-Mixin-Linewise
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Mixin-Linewise
Version:        0.108
Release:        lp152.3.2
%define cpan_name Mixin-Linewise
Summary:        write your linewise code for handles; this does the rest
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Mixin-Linewise/
Source:         http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(PerlIO::utf8_strict)
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(PerlIO::utf8_strict)
Requires:       perl(Sub::Exporter)
%{perl_requires}

%description
It's boring to deal with opening files for IO, converting strings to
handle-like objects, and all that. With the Mixin::Linewise::Readers
manpage and the Mixin::Linewise::Writers manpage, you can just write a
method to handle handles, and methods for handling strings and filenames
are added for you.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.108
  see /usr/share/doc/packages/perl-Mixin-Linewise/Changes
  0.108     2015-04-08 14:56:06-04:00 America/New_York
  - first argument can be options only if there are two options
  0.107     2015-04-07 20:14:41-04:00 America/New_York
  - add leading hashref arg for passing binmode to read_string,
    write_string
  - do not modify references of args passed to read_file, write_file
  0.106     2014-03-10 08:08:39-04:00 America/New_York
  - avoid dumb v-string warning in dumb perl versions (thanks, Graham
    Knop, you're not dumb!)
* Mon Mar 10 2014 coolo@suse.com
- updated to 0.105
  - update Readers to, by default, use PerlIO::utf8_strict to avoid
    problems with CRLF layer on Win32
* Sun Feb  9 2014 coolo@suse.com
- updated to 0.104
  - clean up the docs for changes made in 0.103
    [THIS MIGHT BREAK YOUR CODE]
  - the string methods once again open references to scalars, rather
    than using IO::Scalar
* Mon Nov 25 2013 coolo@suse.com
- updated to 0.102
  - revert the IO::String changes found in 0.101
    [THIS MIGHT BREAK YOUR CODE]
  - tweak how read_string handles non-ASCII strings; needs further
    automated testing, so be sure to run your test suites
  - add binmode option to set binmode on opened filehandles; this
    defaults to encoding(UTF-8); thanks, David Golden!
  - typo fix by the inimitable David Steinbrunner
* Wed Jul 24 2013 coolo@suse.com
- updated to 0.004
  repackage
- removed old perl-Mixin-Linewise-use_lib.patch
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Sat Jun  4 2011 lars@linux-schulserver.de
- fix build on distributions with old Test::More module
  ( perl-Mixin-Linewise-use_lib.patch )
* Mon Jan 17 2011 coolo@novell.com
- initial package 0.003
  * created by cpanspec 1.78.03
